library number_randomizer;

import 'dart:math';

class number_randomizer {
  /// Returns RandomNumber.
  int generateNumber() {
    int loc = 3;
    int fp = identityHashCode(loc);

    int sloc = 3;
    int sp = identityHashCode(sloc);

    DateTime currentTime = DateTime.now();
    int secondFactor;
    if ((sp % 11) % 2 == 0) {
      secondFactor = (currentTime.minute + 1) * fp;
    } else {
      secondFactor = (currentTime.second + 1) * sp;
    }

    int firstFactor;
    if ((fp % 12) % 2 == 0) {
      firstFactor = (currentTime.hour + 1) * fp;
    } else {
      firstFactor = (currentTime.day + 1) * sp;
    }
    int min = (currentTime.millisecond + 1) ~/ firstFactor;
    int max = ((currentTime.millisecond + 1) * secondFactor).abs();
    int random = nextInt(min, max);
    return random;
  }

  int nextInt(int min, int max) => min + new Random().nextInt((max + 1) - min);
}
